Package com.independentsoft.office.spreadsheet.pivotTables

# Enum Class PivotAreaType

java.lang.Object
java.lang.Enum<PivotAreaType>
com.independentsoft.office.spreadsheet.pivotTables.PivotAreaType

All Implemented Interfaces:
  `Serializable`, `Comparable<PivotAreaType>`, `Constable`

public enum PivotAreaType extends Enum<PivotAreaType>
The Enum PivotAreaType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `BUTTON`
  `DATA`
  `NONE`
  `NORMAL`
  `ORIGIN`
  `TOP_RIGHT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PivotAreaType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static PivotAreaType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final PivotAreaType ALL

  - ### BUTTON

    public static final PivotAreaType BUTTON

  - ### DATA

    public static final PivotAreaType DATA

  - ### NORMAL

    public static final PivotAreaType NORMAL

  - ### ORIGIN

    public static final PivotAreaType ORIGIN

  - ### TOP_RIGHT

    public static final PivotAreaType TOP_RIGHT

  - ### NONE

    public static final PivotAreaType NONE

- ## Method Details

  - ### values

    public static PivotAreaType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PivotAreaType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null